Subject: SIMON !!!
From: Mikko Makela <[email-masked]>
To: [email-masked]
Date: Thu, 15 Sep 1994 15:41:01 +0300 (EET DST)

I would be gratefull if it could be possible to me to receive
BUMs 6 & 7 before my Amy will be fixed so that I could start
working on some programs rigth then. WHAT DO I HAVE TO DO ?????

Also, I could try to help getting Blitz Echo & this list joined.

-Mikko